<?xml version="1.0" encoding="UTF-8" ?>

<ClassComponent localName="AuthCardCode"
	description="Компонент Авторизатор по коду карты" fileName="NPCAuthCardCode.jar"
	className="org.mati.npc.components.auth.cardcode.NPCAuthCardCode"
	version="8872" time="17.02.2009 01:05:07">

	<Group>СКУД</Group>
	<Group>Синхронизация, администрирование и авторизация
	</Group>

	<INLink name="SimpleCountourAccessPoint" description=""
		interfaceName="org.mati.npc.components.interfaces.SimpleContourAccessPoint"
		linksNumber="0" nullable="true">
	</INLink>

	<OUTLink name="OutDBServiceContainer" description="Связь с сервисом базы данных (своя база)."
		interfaceName="org.mati.npc.components.interfaces.DBSerivceContainer"
		linksNumber="1" nullable="false">
	</OUTLink>

	<OUTLink name="OutAPBLogDBServiceContainer"
		description="Связь с сервисом базы данных для логирования проходов персоны между контурами (чужие базы)."
		interfaceName="org.mati.npc.components.interfaces.DBSerivceContainer"
		linksNumber="0" nullable="true">
	</OUTLink>

	<Attribute name="ContourName" description="Название контура"
		nullable="false" type="java.lang.String">
	</Attribute>
	<Attribute name="ContourControlLevel"
		description="Уровень контроля контуров:	Нет - пропускать всех авторизованных; Мягкий - пропускать, но оповещать о двойном проходе; Жесткий - не пропускать при нарушении контура."
		type="java.util.List" nullable="false" defaultValue="Нет">
		<List value="Нет" />
		<List value="Мягкий" />
		<List value="Жесткий" />
	</Attribute>
	<Attribute name="PassBackTime"
		description="Время, через которое разрешен двойной проход" type="java.lang.Integer"
		defaultValue="0"
		nullable="false">
	</Attribute>

</ClassComponent>